package com.bzd.system.service.hygl.yx;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 模版文案管理表（模版管理） service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SHyglHyyxMouldmessageService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSHyglHyyxMouldmessage(PageData pd)throws Exception {
        return daoSupport.update("SHyglHyyxMouldmessageMapper.addSHyglHyyxMouldmessage", pd);
    }

    public List<PageData> findSHyglHyyxMouldmessageList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SHyglHyyxMouldmessageMapper.selectSHyglHyyxMouldmessageList", pd);
    }

    public Integer SHyglHyyxMouldmessageRemove(PageData pd)throws Exception {
        return daoSupport.delete("SHyglHyyxMouldmessageMapper.SHyglHyyxMouldmessageRemove", pd);
    }


    public Integer updateSHyglHyyxMouldmessage(PageData pd)throws Exception {
        return daoSupport.update("SHyglHyyxMouldmessageMapper.updateSHyglHyyxMouldmessage", pd);
    }

}
